Component({

  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: false,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    commissionRate: 0,  // 用户输入的抽佣比例
  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 获取用户输入的比例
    handleInput(e) {
      this.setData({
        commissionRate: e.detail.value,
      });
    },

    // 提交设置
    submit() {
      const rate = parseFloat(this.data.commissionRate);

        if (isNaN(rate) || rate <= 0 || rate > 5) {
          wx.showToast({
            title: `请输入有效的比例，最大为 5%`,
            icon: 'none',
          });
          return;
        }

        // 触发父组件的事件，将设置的比例传递出去
        this.triggerEvent('submit', {
          commissionRate: rate,
        });

        // 关闭弹窗
        this.triggerEvent('close');
      },

      // 关闭弹窗
      close() {
        this.triggerEvent('close');
      }
   }
})